import fs from 'fs';
import rimraf from 'rimraf';
import {
  打包为ESM模块,
  打包样式和类型声明文件,
  // 打包为UMD模块,
  // 复制less,
} from './utils.mjs';

const 打包库 = async () => {
  const ESM配置项 = {
    入口: './src',
    模式: 'es',
    出口: 'es',
  };
  await 打包为ESM模块(ESM配置项);
  await 打包样式和类型声明文件();
  // 删除多余的文件
  rimraf.sync('./dist/umd');
  console.info('打包结束');
  // TODO: 注释以下内容 方便以后扩展样式按需加载
  // await 复制less(ESM配置项);
  // const UMD配置项 = {
  //   入口: './src',
  //   模式: 'umd',
  //   出口: 'lib',
  // };
  // await 打包为UMD模块(UMD配置项);
  // await 复制less(UMD配置项);
};

export default 打包库;
