import { program } from 'commander';
// 功能模块
import 打包 from './build/index.mjs';
import 扫描 from './scan/index.mjs';
import UI交互 from './ui/index.mjs';
import 圈层复杂度 from './complexity/index.mjs';
import replaceLocals from './replaceLocals/index.mjs';

program.command('ui').action(UI交互);
program.command('scan').action(扫描);
program.command('build').action(打包);
program.command('complexity').action(圈层复杂度);
program
  .command('replaceLocals')
  .argument('<id>', '项目id')
  .argument('<token>', 'token')
  .action(replaceLocals);

program.parse(process.argv);
