import {
  构建翻译文件获取构建id,
  查询构建id状态判断是否构建完成,
  导出文件链接,
  替换翻译文件,
  下载文件,
} from './_utils.mjs';

const 开始替换翻译文件流程 = async (项目id, token) => {
  const 构建id = await 构建翻译文件获取构建id({ 项目id, token });
  let 是否完成 = false;
  let 查询状态次数 = 0;
  console.log('查询构建状态中...');
  while (是否完成 === false && 查询状态次数 <= 10) {
    查询状态次数 += 1;
    是否完成 = await 查询构建id状态判断是否构建完成({ 项目id, 构建id, token });
  }
  if (查询状态次数 === 10 && 是否完成 === false) {
    console.log('构建失败！');
    return;
  }
  console.log('构建完毕');
  const 文件链接 = await 导出文件链接({ 项目id, 构建id, token });
  await 下载文件(文件链接);
};

export default 开始替换翻译文件流程;
