import 咨询台 from 'inquirer';
import 打包 from '../build/index.mjs';
import 扫描 from '../scan/index.mjs';
import { 功能选项配置 } from '../config.mjs';

const UI交互 = async () => {
  const { 功能 } = await 咨询台.prompt([
    {
      type: 'list',
      name: '功能',
      message: '浓想做啥',
      choices: 功能选项配置,
    },
  ]);

  const 功能对应的函数 = {
    扫描代码: 扫描,
    打包代码: 打包,
  };

  const 功能函数 = 功能对应的函数[功能];
  功能函数();
};

export default UI交互;
